Open CASCADE Technology  7.5.0
Public Member Functions

BRepPrimAPI_MakeSphere Class Reference

Describes functions to build spheres or portions of spheres. A MakeSphere object provides a framework for: More...

#include <BRepPrimAPI_MakeSphere.hxx>

Inheritance diagram for BRepPrimAPI_MakeSphere:
Inheritance graph
[legend]

Public Member Functions

 BRepPrimAPI_MakeSphere (const Standard_Real R)
 Make a sphere. More...
 
 BRepPrimAPI_MakeSphere (const Standard_Real R, const Standard_Real angle)
 Make a sphere (spherical wedge). More...
 
 BRepPrimAPI_MakeSphere (const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2)
 Make a sphere (spherical segment). More...
 
 BRepPrimAPI_MakeSphere (const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle3)
 Make a sphere (spherical segment). More...
 
 BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R)
 Make a sphere. More...
 
 BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R, const Standard_Real angle)
 Make a sphere (spherical wedge). More...
 
 BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2)
 Make a sphere (spherical segment). More...
 
 BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle3)
 Make a sphere (spherical segment). More...
 
 BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R)
 Make a sphere. More...
 
 BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R, const Standard_Real angle)
 Make a sphere (spherical wedge). More...
 
 BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2)
 Make a sphere (spherical segment). More...
 
 BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle3)
 Make a sphere of radius R. For all algorithms The resulting shape is composed of. More...
 
Standard_Address OneAxis ()
 Returns the algorithm. More...
 
BRepPrim_SphereSphere ()
 Returns the algorithm. More...
 
- Public Member Functions inherited from BRepPrimAPI_MakeOneAxis
virtual void Build () override
 Stores the solid in myShape. More...
 
const TopoDS_FaceFace ()
 Returns the lateral face of the rotational primitive. More...
 
 operator TopoDS_Face ()
 
const TopoDS_ShellShell ()
 Returns the constructed rotational primitive as a shell. More...
 
 operator TopoDS_Shell ()
 
const TopoDS_SolidSolid ()
 Returns the constructed rotational primitive as a solid. More...
 
 operator TopoDS_Solid ()
 
- Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual const TopoDS_ShapeShape ()
 Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
 
 operator TopoDS_Shape ()
 
virtual const TopTools_ListOfShapeGenerated (const TopoDS_Shape &S)
 Returns the list of shapes generated from the shape <S>. More...
 
virtual const TopTools_ListOfShapeModified (const TopoDS_Shape &S)
 Returns the list of shapes modified from the shape <S>. More...
 
virtual Standard_Boolean IsDeleted (const TopoDS_Shape &S)
 Returns true if the shape S has been deleted. More...
 
- Public Member Functions inherited from BRepBuilderAPI_Command
virtual ~BRepBuilderAPI_Command ()
 
virtual Standard_Boolean IsDone () const
 
void Check () const
 Raises NotDone if done is false. More...
 

Additional Inherited Members

- Protected Member Functions inherited from BRepBuilderAPI_MakeShape
 BRepBuilderAPI_MakeShape ()
 
- Protected Member Functions inherited from BRepBuilderAPI_Command
 BRepBuilderAPI_Command ()
 Set done to False. More...
 
void Done ()
 Set done to true. More...
 
void NotDone ()
 Set done to false. More...
 
- Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape myShape
 
TopTools_ListOfShape myGenerated
 

Detailed Description

Describes functions to build spheres or portions of spheres. A MakeSphere object provides a framework for:

Constructor & Destructor Documentation

◆ BRepPrimAPI_MakeSphere() [1/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const Standard_Real  R)

Make a sphere.

Parameters
R[in] sphere radius

◆ BRepPrimAPI_MakeSphere() [2/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const Standard_Real  R,
const Standard_Real  angle 
)

Make a sphere (spherical wedge).

Parameters
R[in] sphere radius
angle[in] angle between the radii lying within the bounding semidisks

◆ BRepPrimAPI_MakeSphere() [3/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const Standard_Real  R,
const Standard_Real  angle1,
const Standard_Real  angle2 
)

Make a sphere (spherical segment).

Parameters
R[in] sphere radius
angle1[in] first angle defining a spherical segment
angle2[in] second angle defining a spherical segment

◆ BRepPrimAPI_MakeSphere() [4/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const Standard_Real  R,
const Standard_Real  angle1,
const Standard_Real  angle2,
const Standard_Real  angle3 
)

Make a sphere (spherical segment).

Parameters
R[in] sphere radius
angle1[in] first angle defining a spherical segment
angle2[in] second angle defining a spherical segment
angle3[in] angle between the radii lying within the bounding semidisks

◆ BRepPrimAPI_MakeSphere() [5/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Pnt Center,
const Standard_Real  R 
)

Make a sphere.

Parameters
Center[in] sphere center coordinates
R[in] sphere radius

◆ BRepPrimAPI_MakeSphere() [6/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Pnt Center,
const Standard_Real  R,
const Standard_Real  angle 
)

Make a sphere (spherical wedge).

Parameters
Center[in] sphere center coordinates
R[in] sphere radius
angle[in] angle between the radii lying within the bounding semidisks

◆ BRepPrimAPI_MakeSphere() [7/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Pnt Center,
const Standard_Real  R,
const Standard_Real  angle1,
const Standard_Real  angle2 
)

Make a sphere (spherical segment).

Parameters
Center[in] sphere center coordinates
R[in] sphere radius
angle1[in] first angle defining a spherical segment
angle2[in] second angle defining a spherical segment

◆ BRepPrimAPI_MakeSphere() [8/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Pnt Center,
const Standard_Real  R,
const Standard_Real  angle1,
const Standard_Real  angle2,
const Standard_Real  angle3 
)

Make a sphere (spherical segment).

Parameters
Center[in] sphere center coordinates
R[in] sphere radius
angle1[in] first angle defining a spherical segment
angle2[in] second angle defining a spherical segment
angle3[in] angle between the radii lying within the bounding semidisks

◆ BRepPrimAPI_MakeSphere() [9/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Ax2 Axis,
const Standard_Real  R 
)

Make a sphere.

Parameters
Axis[in] coordinate system for the construction of the sphere
R[in] sphere radius

◆ BRepPrimAPI_MakeSphere() [10/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Ax2 Axis,
const Standard_Real  R,
const Standard_Real  angle 
)

Make a sphere (spherical wedge).

Parameters
Axis[in] coordinate system for the construction of the sphere
R[in] sphere radius
angle[in] angle between the radii lying within the bounding semidisks

◆ BRepPrimAPI_MakeSphere() [11/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Ax2 Axis,
const Standard_Real  R,
const Standard_Real  angle1,
const Standard_Real  angle2 
)

Make a sphere (spherical segment).

Parameters
Axis[in] coordinate system for the construction of the sphere
R[in] sphere radius
angle1[in] first angle defining a spherical segment
angle2[in] second angle defining a spherical segment

◆ BRepPrimAPI_MakeSphere() [12/12]

BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere ( const gp_Ax2 Axis,
const Standard_Real  R,
const Standard_Real  angle1,
const Standard_Real  angle2,
const Standard_Real  angle3 
)

Make a sphere of radius R. For all algorithms The resulting shape is composed of.

  • a lateral spherical face,
  • two planar faces parallel to the plane z = 0 if the sphere is truncated in the v parametric direction, or only one planar face if angle1 is equal to -p/2 or if angle2 is equal to p/2 (these faces are circles in case of a complete truncated sphere),
  • and in case of a portion of sphere, two planar faces to shut the shape.(in the planes u = 0 and u = angle).

Member Function Documentation

◆ OneAxis()

Standard_Address BRepPrimAPI_MakeSphere::OneAxis ( )
virtual

Returns the algorithm.

Implements BRepPrimAPI_MakeOneAxis.

◆ Sphere()

BRepPrim_Sphere& BRepPrimAPI_MakeSphere::Sphere ( )

Returns the algorithm.


The documentation for this class was generated from the following file: